- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnSphereData Class Reference

# OpenMaya - API module for common classes | FunctionSet classes

Search for all occurrences

## Detailed Description

Sphere function set for dependency node data .

MFnSphereData allows the creation and manipulation of sphere (represented as MObjects) data objects for use in the dependency graph.

If a user written dependency node either accepts or produces MObjects containing spheres, then this class is used to extract or create the data that comes from or goes to other dependency graph nodes. The MDataHandle::type method will return kSphere when data of this type is present. To access it, the MDataHandle::data method is used to get an MObject for the data and this should then be used to initialize an instance of MFnNurbsSurface.

`#include <MFnSphereData.h>`

Inheritance diagram for MFnSphereData:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnSphereData ()
| Destructor.
| MFnSphereData ()
| Default constructor.
| MFnSphereData (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
MObject | create (double rad=1, MStatus *ReturnStatus=NULL)
| Create a new sphere of the given radius, and attach it to this instance as an MObject.
double | radius (MStatus *ReturnStatus=NULL) const
| Return the radius of the sphere attached to this instance.
MStatus | setRadius (double rad)
| Change the radius of the sphere attached to this instance instance as an MObject.
| MFnSphereData (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

MFnSphereData | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnSphereData | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kSphereData.

Reimplemented from MFnData.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnSphereData".

Reimplemented from MFnData.

MObject create | ( | double | rad = `1`,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Search for all occurrences

Create a new sphere of the given radius, and attach it to this instance as an MObject.

Parameters:

  [in] | rad | the radius of the new sphere
  [out] | ReturnStatus | kSuccess

Returns:
  The new MObject

double radius | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Return the radius of the sphere attached to this instance.

Parameters:

  [out] | ReturnStatus | kSuccess if the instance has a sphere attached to it, and kFailure otherwise.

Returns:
  The radius

MStatus setRadius | ( | double | rad | ) |

Search for all occurrences

Change the radius of the sphere attached to this instance instance as an MObject.

Parameters:

  [in] | rad | the new radius

Returns:
  kSuccess if the instance has a sphere attached to it, and kFailure otherwise.

MFnSphereData MFnSphereData MFnSphereData MFnSphereData MFnSphereData MFnSphereData MFnSphereData MFnSphereData MFnSphereData MFnSphereData
MFnSphereData MFnSphereData MFnSphereData MFnSphereData MFnSphereData MFnSphereData MFnSphereData MFnSphereData MFnSphereData MFnSphereData